Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005172OCamlCamlp4public2010-10-30 14:232013-08-31 12:49
Reporterkim 
Assigned Toxclerc 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.12.1+dev 
Target VersionFixed in Version3.12.1+dev 
Summary0005172: camlp4 does not support the 'module type of' construct
Description# cat t.ml
module type MYHASH =
        sig
        include module type of Hashtbl
        end
# ocamlc -c t.ml
# camlp4o t.ml
File "t.ml", line 3, characters 1-8:
Parse error: [module_type] expected after "include" (in [sig_item])

this is the case for the current stable release (3.12) as well as the current
3.12.1 branch:
camlp4o -version
3.12.1+dev5 (2010-10-12)
Additional Informationas a side note, the status of the 'module type of' extension is not clear.
It is supported by the compiler and documented in the "language extensions" section but it is not listed in the 3.12 release note and not supported by camlp4.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0005763)
hcarty (reporter)
2011-01-11 22:31

This does appear to be supported in camlp5, if that is of any help in adding support in camlp4.
(0005793)
xclerc (developer)
2011-02-02 15:23

fixed in "version/3/12".

- Issue History
Date Modified Username Field Change
2010-10-30 14:23 kim New Issue
2010-10-30 14:23 kim Status new => assigned
2010-10-30 14:23 kim Assigned To => ertai
2011-01-11 22:31 hcarty Note Added: 0005763
2011-02-02 15:21 xclerc Assigned To ertai => xclerc
2011-02-02 15:23 xclerc Note Added: 0005793
2011-02-02 15:23 xclerc Status assigned => resolved
2011-02-02 15:23 xclerc Fixed in Version => 3.12.1+dev
2011-02-02 15:23 xclerc Resolution open => fixed
2013-08-31 12:49 xleroy Status resolved => closed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker